<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:background="@drawable/background"
    android:layout_height="match_parent">
    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/AppTheme.AppBarOverlay">
        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar_actionbar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/actionBarHeight"
            android:background="@color/white"
            android:theme="@style/ThemeOverlay.AppCompat.Light"
            app:contentInsetStartWithNavigation="0dp"
            app:layout_scrollFlags="scroll|enterAlways"
            app:popupTheme="@style/ThemeOverlay.AppCompat.Light">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:weightSum="1">
                <androidx.appcompat.widget.SearchView
                    android:id="@+id/searchview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:elevation="2dp"
                    android:focusable="true"
                    android:saveEnabled="true"
                    app:iconifiedByDefault="false"
                    app:queryHint="@string/header_search_text"
                    app:searchIcon="@null">
                    <requestFocus />
                </androidx.appcompat.widget.SearchView>
            </LinearLayout>
        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">



                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rvUserList"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scrollbars="none" />
            </LinearLayout>


        <TextView
            android:id="@+id/no_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="100dp"
            android:gravity="center_horizontal"
            android:visibility="gone"
            android:text="@string/no_data_found_text"
            android:textSize="18dp" />


    </LinearLayout>
</androidx.coordinatorlayout.widget.CoordinatorLayout>
